Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.base.client.model.entity
Class UserProfile

    java.lang.Object
      org.eclipse.higgins.ics.gwt.base.client.model.entity.BaseEntity
          org.eclipse.higgins.ics.gwt.base.client.model.entity.UserProfile

All Implemented Interfaces:
  Serializable

public class UserProfile
extends BaseEntity
implements Serializable

Author:
  Alexander Yuhimenko
See Also:
  Serialized Form

Constructor Summary
`UserProfile()`

Method Summary
`Date` | `getCreated()`
`String` | `getEmail()`
`String` | `getFirstName()`
`String` | `getLastName()`
`String` | `getLoginName()`
`Date` | `getModified()`
`String` | `getPassword()`
`String` | `getStatus()`
`String` | `getUsedFrom()`
`void` | `setCreated(Date createdDate)`
`void` | `setEmail(String email)`
`void` | `setFirstName(String firstName)`
`void` | `setLastName(String lastName)`
`void` | `setLoginName(String loginName)`
`void` | `setModified(Date lastUpdatedDate)`
`void` | `setPassword(String password)`
`void` | `setStatus(String status)`
`void` | `setUsedFrom(String usedFrom)`

Methods inherited from class org.eclipse.higgins.ics.gwt.base.client.model.entity.BaseEntity
`getName, setName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserProfile

    public UserProfile()

Method Detail

### getCreated

    public Date getCreated()

  Returns:
    the created

### getEmail

    public String getEmail()

  Returns:
    the email

### getFirstName

    public String getFirstName()

  Returns:
    the firstName

### getLastName

    public String getLastName()

  Returns:
    the lastName

### getLoginName

    public String getLoginName()

  Returns:
    the loginName

### getModified

    public Date getModified()

  Returns:
    the modified

### getPassword

    public String getPassword()

  Returns:
    the password

### getStatus

    public String getStatus()

  Returns:
    the status

### getUsedFrom

    public String getUsedFrom()

  Returns:
    the usedFrom

### setCreated

    public void setCreated(Date createdDate)

### setEmail

    public void setEmail(String email)

  Parameters:
    `email` - the email to set

### setFirstName

    public void setFirstName(String firstName)

  Parameters:
    `firstName` - the firstName to set

### setLastName

    public void setLastName(String lastName)

  Parameters:
    `lastName` - the lastName to set

### setLoginName

    public void setLoginName(String loginName)

  Parameters:
    `loginName` - the loginName to set

### setModified

    public void setModified(Date lastUpdatedDate)

### setPassword

    public void setPassword(String password)

  Parameters:
    `password` - the password to set

### setStatus

    public void setStatus(String status)

  Parameters:
    `status` - the status to set

### setUsedFrom

    public void setUsedFrom(String usedFrom)

  Parameters:
    `usedFrom` - the usedFrom to set

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD